import { jsx } from "react/jsx-runtime";
import { Swatches as Swatches$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Swatches = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Swatches", ...props, children: /* @__PURE__ */ jsx(Swatches$1, { weight: variant }) });
  }
);
Swatches.displayName = "Swatches";
Object.assign(Swatches, { isGdsIcon: true });
export {
  Swatches
};
